{
  "version": "4",
  "specifiers": {
    "jsr:@luca/esbuild-deno-loader@*": "0.11.1",
    "jsr:@std/bytes@^1.0.2": "1.0.4",
    "jsr:@std/encoding@^1.0.5": "1.0.6",
    "jsr:@std/path@^1.0.6": "1.0.8",
    "jsr:@std/path@^1.0.8": "1.0.8",
    "npm:@tauri-apps/api@2": "2.2.0",
    "npm:@tauri-apps/cli@2": "2.2.5",
    "npm:@tauri-apps/plugin-shell@2": "2.2.0",
    "npm:esbuild-plugin-tsc@0.4": "0.4.0_typescript@5.7.3",
    "npm:esbuild@*": "0.24.2",
    "npm:esbuild@~0.24.2": "0.24.2",
    "npm:fast-glob@^3.3.3": "3.3.3",
    "npm:typescript@^5.2.2": "5.7.3",
    "npm:typescript@^5.7.3": "5.7.3",
    "npm:vite@^5.3.1": "5.4.13"
  },
  "jsr": {
    "@luca/esbuild-deno-loader@0.11.1": {
      "integrity": "dc020d16d75b591f679f6b9288b10f38bdb4f24345edb2f5732affa1d9885267",
      "dependencies": [
        "jsr:@std/bytes",
        "jsr:@std/encoding",
        "jsr:@std/path@^1.0.6"
      ]
    },
    "@std/bytes@1.0.4": {
      "integrity": "11a0debe522707c95c7b7ef89b478c13fb1583a7cfb9a85674cd2cc2e3a28abc"
    },
    "@std/encoding@1.0.6": {
      "integrity": "ca87122c196e8831737d9547acf001766618e78cd8c33920776c7f5885546069"
    },
    "@std/path@1.0.8": {
      "integrity": "548fa456bb6a04d3c1a1e7477986b6cffbce95102d0bb447c67c4ee70e0364be"
    }
  },
  "npm": {
    "@esbuild/aix-ppc64@0.21.5": {
      "integrity": "sha512-1SDgH6ZSPTlggy1yI6+Dbkiz8xzpHJEVAlF/AM1tHPLsf5STom9rwtjE4hKAF20FfXXNTFqEYXyJNWh1GiZedQ=="
    },
    "@esbuild/aix-ppc64@0.24.2": {
      "integrity": "sha512-thpVCb/rhxE/BnMLQ7GReQLLN8q9qbHmI55F4489/ByVg2aQaQ6kbcLb6FHkocZzQhxc4gx0sCk0tJkKBFzDhA=="
    },
    "@esbuild/android-arm64@0.21.5": {
      "integrity": "sha512-c0uX9VAUBQ7dTDCjq+wdyGLowMdtR/GoC2U5IYk/7D1H1JYC0qseD7+11iMP2mRLN9RcCMRcjC4YMclCzGwS/A=="
    },
    "@esbuild/android-arm64@0.24.2": {
      "integrity": "sha512-cNLgeqCqV8WxfcTIOeL4OAtSmL8JjcN6m09XIgro1Wi7cF4t/THaWEa7eL5CMoMBdjoHOTh/vwTO/o2TRXIyzg=="
    },
    "@esbuild/android-arm@0.21.5": {
      "integrity": "sha512-vCPvzSjpPHEi1siZdlvAlsPxXl7WbOVUBBAowWug4rJHb68Ox8KualB+1ocNvT5fjv6wpkX6o/iEpbDrf68zcg=="
    },
    "@esbuild/android-arm@0.24.2": {
      "integrity": "sha512-tmwl4hJkCfNHwFB3nBa8z1Uy3ypZpxqxfTQOcHX+xRByyYgunVbZ9MzUUfb0RxaHIMnbHagwAxuTL+tnNM+1/Q=="
    },
    "@esbuild/android-x64@0.21.5": {
      "integrity": "sha512-D7aPRUUNHRBwHxzxRvp856rjUHRFW1SdQATKXH2hqA0kAZb1hKmi02OpYRacl0TxIGz/ZmXWlbZgjwWYaCakTA=="
    },
    "@esbuild/android-x64@0.24.2": {
      "integrity": "sha512-B6Q0YQDqMx9D7rvIcsXfmJfvUYLoP722bgfBlO5cGvNVb5V/+Y7nhBE3mHV9OpxBf4eAS2S68KZztiPaWq4XYw=="
    },
    "@esbuild/darwin-arm64@0.21.5": {
      "integrity": "sha512-DwqXqZyuk5AiWWf3UfLiRDJ5EDd49zg6O9wclZ7kUMv2WRFr4HKjXp/5t8JZ11QbQfUS6/cRCKGwYhtNAY88kQ=="
    },
    "@esbuild/darwin-arm64@0.24.2": {
      "integrity": "sha512-kj3AnYWc+CekmZnS5IPu9D+HWtUI49hbnyqk0FLEJDbzCIQt7hg7ucF1SQAilhtYpIujfaHr6O0UHlzzSPdOeA=="
    },
    "@esbuild/darwin-x64@0.21.5": {
      "integrity": "sha512-se/JjF8NlmKVG4kNIuyWMV/22ZaerB+qaSi5MdrXtd6R08kvs2qCN4C09miupktDitvh8jRFflwGFBQcxZRjbw=="
    },
    "@esbuild/darwin-x64@0.24.2": {
      "integrity": "sha512-WeSrmwwHaPkNR5H3yYfowhZcbriGqooyu3zI/3GGpF8AyUdsrrP0X6KumITGA9WOyiJavnGZUwPGvxvwfWPHIA=="
    },
    "@esbuild/freebsd-arm64@0.21.5": {
      "integrity": "sha512-5JcRxxRDUJLX8JXp/wcBCy3pENnCgBR9bN6JsY4OmhfUtIHe3ZW0mawA7+RDAcMLrMIZaf03NlQiX9DGyB8h4g=="
    },
    "@esbuild/freebsd-arm64@0.24.2": {
      "integrity": "sha512-UN8HXjtJ0k/Mj6a9+5u6+2eZ2ERD7Edt1Q9IZiB5UZAIdPnVKDoG7mdTVGhHJIeEml60JteamR3qhsr1r8gXvg=="
    },
    "@esbuild/freebsd-x64@0.21.5": {
      "integrity": "sha512-J95kNBj1zkbMXtHVH29bBriQygMXqoVQOQYA+ISs0/2l3T9/kj42ow2mpqerRBxDJnmkUDCaQT/dfNXWX/ZZCQ=="
    },
    "@esbuild/freebsd-x64@0.24.2": {
      "integrity": "sha512-TvW7wE/89PYW+IevEJXZ5sF6gJRDY/14hyIGFXdIucxCsbRmLUcjseQu1SyTko+2idmCw94TgyaEZi9HUSOe3Q=="
    },
    "@esbuild/linux-arm64@0.21.5": {
      "integrity": "sha512-ibKvmyYzKsBeX8d8I7MH/TMfWDXBF3db4qM6sy+7re0YXya+K1cem3on9XgdT2EQGMu4hQyZhan7TeQ8XkGp4Q=="
    },
    "@esbuild/linux-arm64@0.24.2": {
      "integrity": "sha512-7HnAD6074BW43YvvUmE/35Id9/NB7BeX5EoNkK9obndmZBUk8xmJJeU7DwmUeN7tkysslb2eSl6CTrYz6oEMQg=="
    },
    "@esbuild/linux-arm@0.21.5": {
      "integrity": "sha512-bPb5AHZtbeNGjCKVZ9UGqGwo8EUu4cLq68E95A53KlxAPRmUyYv2D6F0uUI65XisGOL1hBP5mTronbgo+0bFcA=="
    },
    "@esbuild/linux-arm@0.24.2": {
      "integrity": "sha512-n0WRM/gWIdU29J57hJyUdIsk0WarGd6To0s+Y+LwvlC55wt+GT/OgkwoXCXvIue1i1sSNWblHEig00GBWiJgfA=="
    },
    "@esbuild/linux-ia32@0.21.5": {
      "integrity": "sha512-YvjXDqLRqPDl2dvRODYmmhz4rPeVKYvppfGYKSNGdyZkA01046pLWyRKKI3ax8fbJoK5QbxblURkwK/MWY18Tg=="
    },
    "@esbuild/linux-ia32@0.24.2": {
      "integrity": "sha512-sfv0tGPQhcZOgTKO3oBE9xpHuUqguHvSo4jl+wjnKwFpapx+vUDcawbwPNuBIAYdRAvIDBfZVvXprIj3HA+Ugw=="
    },
    "@esbuild/linux-loong64@0.21.5": {
      "integrity": "sha512-uHf1BmMG8qEvzdrzAqg2SIG/02+4/DHB6a9Kbya0XDvwDEKCoC8ZRWI5JJvNdUjtciBGFQ5PuBlpEOXQj+JQSg=="
    },
    "@esbuild/linux-loong64@0.24.2": {
      "integrity": "sha512-CN9AZr8kEndGooS35ntToZLTQLHEjtVB5n7dl8ZcTZMonJ7CCfStrYhrzF97eAecqVbVJ7APOEe18RPI4KLhwQ=="
    },
    "@esbuild/linux-mips64el@0.21.5": {
      "integrity": "sha512-IajOmO+KJK23bj52dFSNCMsz1QP1DqM6cwLUv3W1QwyxkyIWecfafnI555fvSGqEKwjMXVLokcV5ygHW5b3Jbg=="
    },
    "@esbuild/linux-mips64el@0.24.2": {
      "integrity": "sha512-iMkk7qr/wl3exJATwkISxI7kTcmHKE+BlymIAbHO8xanq/TjHaaVThFF6ipWzPHryoFsesNQJPE/3wFJw4+huw=="
    },
    "@esbuild/linux-ppc64@0.21.5": {
      "integrity": "sha512-1hHV/Z4OEfMwpLO8rp7CvlhBDnjsC3CttJXIhBi+5Aj5r+MBvy4egg7wCbe//hSsT+RvDAG7s81tAvpL2XAE4w=="
    },
    "@esbuild/linux-ppc64@0.24.2": {
      "integrity": "sha512-shsVrgCZ57Vr2L8mm39kO5PPIb+843FStGt7sGGoqiiWYconSxwTiuswC1VJZLCjNiMLAMh34jg4VSEQb+iEbw=="
    },
    "@esbuild/linux-riscv64@0.21.5": {
      "integrity": "sha512-2HdXDMd9GMgTGrPWnJzP2ALSokE/0O5HhTUvWIbD3YdjME8JwvSCnNGBnTThKGEB91OZhzrJ4qIIxk/SBmyDDA=="
    },
    "@esbuild/linux-riscv64@0.24.2": {
      "integrity": "sha512-4eSFWnU9Hhd68fW16GD0TINewo1L6dRrB+oLNNbYyMUAeOD2yCK5KXGK1GH4qD/kT+bTEXjsyTCiJGHPZ3eM9Q=="
    },
    "@esbuild/linux-s390x@0.21.5": {
      "integrity": "sha512-zus5sxzqBJD3eXxwvjN1yQkRepANgxE9lgOW2qLnmr8ikMTphkjgXu1HR01K4FJg8h1kEEDAqDcZQtbrRnB41A=="
    },
    "@esbuild/linux-s390x@0.24.2": {
      "integrity": "sha512-S0Bh0A53b0YHL2XEXC20bHLuGMOhFDO6GN4b3YjRLK//Ep3ql3erpNcPlEFed93hsQAjAQDNsvcK+hV90FubSw=="
    },
    "@esbuild/linux-x64@0.21.5": {
      "integrity": "sha512-1rYdTpyv03iycF1+BhzrzQJCdOuAOtaqHTWJZCWvijKD2N5Xu0TtVC8/+1faWqcP9iBCWOmjmhoH94dH82BxPQ=="
    },
    "@esbuild/linux-x64@0.24.2": {
      "integrity": "sha512-8Qi4nQcCTbLnK9WoMjdC9NiTG6/E38RNICU6sUNqK0QFxCYgoARqVqxdFmWkdonVsvGqWhmm7MO0jyTqLqwj0Q=="
    },
    "@esbuild/netbsd-arm64@0.24.2": {
      "integrity": "sha512-wuLK/VztRRpMt9zyHSazyCVdCXlpHkKm34WUyinD2lzK07FAHTq0KQvZZlXikNWkDGoT6x3TD51jKQ7gMVpopw=="
    },
    "@esbuild/netbsd-x64@0.21.5": {
      "integrity": "sha512-Woi2MXzXjMULccIwMnLciyZH4nCIMpWQAs049KEeMvOcNADVxo0UBIQPfSmxB3CWKedngg7sWZdLvLczpe0tLg=="
    },
    "@esbuild/netbsd-x64@0.24.2": {
      "integrity": "sha512-VefFaQUc4FMmJuAxmIHgUmfNiLXY438XrL4GDNV1Y1H/RW3qow68xTwjZKfj/+Plp9NANmzbH5R40Meudu8mmw=="
    },
    "@esbuild/openbsd-arm64@0.24.2": {
      "integrity": "sha512-YQbi46SBct6iKnszhSvdluqDmxCJA+Pu280Av9WICNwQmMxV7nLRHZfjQzwbPs3jeWnuAhE9Jy0NrnJ12Oz+0A=="
    },
    "@esbuild/openbsd-x64@0.21.5": {
      "integrity": "sha512-HLNNw99xsvx12lFBUwoT8EVCsSvRNDVxNpjZ7bPn947b8gJPzeHWyNVhFsaerc0n3TsbOINvRP2byTZ5LKezow=="
    },
    "@esbuild/openbsd-x64@0.24.2": {
      "integrity": "sha512-+iDS6zpNM6EnJyWv0bMGLWSWeXGN/HTaF/LXHXHwejGsVi+ooqDfMCCTerNFxEkM3wYVcExkeGXNqshc9iMaOA=="
    },
    "@esbuild/sunos-x64@0.21.5": {
      "integrity": "sha512-6+gjmFpfy0BHU5Tpptkuh8+uw3mnrvgs+dSPQXQOv3ekbordwnzTVEb4qnIvQcYXq6gzkyTnoZ9dZG+D4garKg=="
    },
    "@esbuild/sunos-x64@0.24.2": {
      "integrity": "sha512-hTdsW27jcktEvpwNHJU4ZwWFGkz2zRJUz8pvddmXPtXDzVKTTINmlmga3ZzwcuMpUvLw7JkLy9QLKyGpD2Yxig=="
    },
    "@esbuild/win32-arm64@0.21.5": {
      "integrity": "sha512-Z0gOTd75VvXqyq7nsl93zwahcTROgqvuAcYDUr+vOv8uHhNSKROyU961kgtCD1e95IqPKSQKH7tBTslnS3tA8A=="
    },
    "@esbuild/win32-arm64@0.24.2": {
      "integrity": "sha512-LihEQ2BBKVFLOC9ZItT9iFprsE9tqjDjnbulhHoFxYQtQfai7qfluVODIYxt1PgdoyQkz23+01rzwNwYfutxUQ=="
    },
    "@esbuild/win32-ia32@0.21.5": {
      "integrity": "sha512-SWXFF1CL2RVNMaVs+BBClwtfZSvDgtL//G/smwAc5oVK/UPu2Gu9tIaRgFmYFFKrmg3SyAjSrElf0TiJ1v8fYA=="
    },
    "@esbuild/win32-ia32@0.24.2": {
      "integrity": "sha512-q+iGUwfs8tncmFC9pcnD5IvRHAzmbwQ3GPS5/ceCyHdjXubwQWI12MKWSNSMYLJMq23/IUCvJMS76PDqXe1fxA=="
    },
    "@esbuild/win32-x64@0.21.5": {
      "integrity": "sha512-tQd/1efJuzPC6rCFwEvLtci/xNFcTZknmXs98FYDfGE4wP9ClFV98nyKrzJKVPMhdDnjzLhdUyMX4PsQAPjwIw=="
    },
    "@esbuild/win32-x64@0.24.2": {
      "integrity": "sha512-7VTgWzgMGvup6aSqDPLiW5zHaxYJGTO4OokMjIlrCtf+VpEL+cXKtCvg723iguPYI5oaUNdS+/V7OU2gvXVWEg=="
    },
    "@nodelib/fs.scandir@2.1.5": {
      "integrity": "sha512-vq24Bq3ym5HEQm2NKCr3yXDwjc7vTsEThRDnkp2DK9p1uqLR+DHurm/NOTo0KG7HYHU7eppKZj3MyqYuMBf62g==",
      "dependencies": [
        "@nodelib/fs.stat",
        "run-parallel"
      ]
    },
    "@nodelib/fs.stat@2.0.5": {
      "integrity": "sha512-RkhPPp2zrqDAQA/2jNhnztcPAlv64XdhIp7a7454A5ovI7Bukxgt7MX7udwAu3zg1DcpPU0rz3VV1SeaqvY4+A=="
    },
    "@nodelib/fs.walk@1.2.8": {
      "integrity": "sha512-oGB+UxlgWcgQkgwo8GcEGwemoTFt3FIO9ababBmaGwXIoBKZ+GTy0pP185beGg7Llih/NSHSV2XAs1lnznocSg==",
      "dependencies": [
        "@nodelib/fs.scandir",
        "fastq"
      ]
    },
    "@rollup/rollup-android-arm-eabi@4.31.0": {
      "integrity": "sha512-9NrR4033uCbUBRgvLcBrJofa2KY9DzxL2UKZ1/4xA/mnTNyhZCWBuD8X3tPm1n4KxcgaraOYgrFKSgwjASfmlA=="
    },
    "@rollup/rollup-android-arm64@4.31.0": {
      "integrity": "sha512-iBbODqT86YBFHajxxF8ebj2hwKm1k8PTBQSojSt3d1FFt1gN+xf4CowE47iN0vOSdnd+5ierMHBbu/rHc7nq5g=="
    },
    "@rollup/rollup-darwin-arm64@4.31.0": {
      "integrity": "sha512-WHIZfXgVBX30SWuTMhlHPXTyN20AXrLH4TEeH/D0Bolvx9PjgZnn4H677PlSGvU6MKNsjCQJYczkpvBbrBnG6g=="
    },
    "@rollup/rollup-darwin-x64@4.31.0": {
      "integrity": "sha512-hrWL7uQacTEF8gdrQAqcDy9xllQ0w0zuL1wk1HV8wKGSGbKPVjVUv/DEwT2+Asabf8Dh/As+IvfdU+H8hhzrQQ=="
    },
    "@rollup/rollup-freebsd-arm64@4.31.0": {
      "integrity": "sha512-S2oCsZ4hJviG1QjPY1h6sVJLBI6ekBeAEssYKad1soRFv3SocsQCzX6cwnk6fID6UQQACTjeIMB+hyYrFacRew=="
    },
    "@rollup/rollup-freebsd-x64@4.31.0": {
      "integrity": "sha512-pCANqpynRS4Jirn4IKZH4tnm2+2CqCNLKD7gAdEjzdLGbH1iO0zouHz4mxqg0uEMpO030ejJ0aA6e1PJo2xrPA=="
    },
    "@rollup/rollup-linux-arm-gnueabihf@4.31.0": {
      "integrity": "sha512-0O8ViX+QcBd3ZmGlcFTnYXZKGbFu09EhgD27tgTdGnkcYXLat4KIsBBQeKLR2xZDCXdIBAlWLkiXE1+rJpCxFw=="
    },
    "@rollup/rollup-linux-arm-musleabihf@4.31.0": {
      "integrity": "sha512-w5IzG0wTVv7B0/SwDnMYmbr2uERQp999q8FMkKG1I+j8hpPX2BYFjWe69xbhbP6J9h2gId/7ogesl9hwblFwwg=="
    },
    "@rollup/rollup-linux-arm64-gnu@4.31.0": {
      "integrity": "sha512-JyFFshbN5xwy6fulZ8B/8qOqENRmDdEkcIMF0Zz+RsfamEW+Zabl5jAb0IozP/8UKnJ7g2FtZZPEUIAlUSX8cA=="
    },
    "@rollup/rollup-linux-arm64-musl@4.31.0": {
      "integrity": "sha512-kpQXQ0UPFeMPmPYksiBL9WS/BDiQEjRGMfklVIsA0Sng347H8W2iexch+IEwaR7OVSKtr2ZFxggt11zVIlZ25g=="
    },
    "@rollup/rollup-linux-loongarch64-gnu@4.31.0": {
      "integrity": "sha512-pMlxLjt60iQTzt9iBb3jZphFIl55a70wexvo8p+vVFK+7ifTRookdoXX3bOsRdmfD+OKnMozKO6XM4zR0sHRrQ=="
    },
    "@rollup/rollup-linux-powerpc64le-gnu@4.31.0": {
      "integrity": "sha512-D7TXT7I/uKEuWiRkEFbed1UUYZwcJDU4vZQdPTcepK7ecPhzKOYk4Er2YR4uHKme4qDeIh6N3XrLfpuM7vzRWQ=="
    },
    "@rollup/rollup-linux-riscv64-gnu@4.31.0": {
      "integrity": "sha512-wal2Tc8O5lMBtoePLBYRKj2CImUCJ4UNGJlLwspx7QApYny7K1cUYlzQ/4IGQBLmm+y0RS7dwc3TDO/pmcneTw=="
    },
    "@rollup/rollup-linux-s390x-gnu@4.31.0": {
      "integrity": "sha512-O1o5EUI0+RRMkK9wiTVpk2tyzXdXefHtRTIjBbmFREmNMy7pFeYXCFGbhKFwISA3UOExlo5GGUuuj3oMKdK6JQ=="
    },
    "@rollup/rollup-linux-x64-gnu@4.31.0": {
      "integrity": "sha512-zSoHl356vKnNxwOWnLd60ixHNPRBglxpv2g7q0Cd3Pmr561gf0HiAcUBRL3S1vPqRC17Zo2CX/9cPkqTIiai1g=="
    },
    "@rollup/rollup-linux-x64-musl@4.31.0": {
      "integrity": "sha512-ypB/HMtcSGhKUQNiFwqgdclWNRrAYDH8iMYH4etw/ZlGwiTVxBz2tDrGRrPlfZu6QjXwtd+C3Zib5pFqID97ZA=="
    },
    "@rollup/rollup-win32-arm64-msvc@4.31.0": {
      "integrity": "sha512-JuhN2xdI/m8Hr+aVO3vspO7OQfUFO6bKLIRTAy0U15vmWjnZDLrEgCZ2s6+scAYaQVpYSh9tZtRijApw9IXyMw=="
    },
    "@rollup/rollup-win32-ia32-msvc@4.31.0": {
      "integrity": "sha512-U1xZZXYkvdf5MIWmftU8wrM5PPXzyaY1nGCI4KI4BFfoZxHamsIe+BtnPLIvvPykvQWlVbqUXdLa4aJUuilwLQ=="
    },
    "@rollup/rollup-win32-x64-msvc@4.31.0": {
      "integrity": "sha512-ul8rnCsUumNln5YWwz0ted2ZHFhzhRRnkpBZ+YRuHoRAlUji9KChpOUOndY7uykrPEPXVbHLlsdo6v5yXo/TXw=="
    },
    "@tauri-apps/api@2.2.0": {
      "integrity": "sha512-R8epOeZl1eJEl603aUMIGb4RXlhPjpgxbGVEaqY+0G5JG9vzV/clNlzTeqc+NLYXVqXcn8mb4c5b9pJIUDEyAg=="
    },
    "@tauri-apps/cli-darwin-arm64@2.2.5": {
      "integrity": "sha512-qdPmypQE7qj62UJy3Wl/ccCJZwsv5gyBByOrAaG7u5c/PB3QSxhNPegice2k4EHeIuApaVJOoe/CEYVgm/og2Q=="
    },
    "@tauri-apps/cli-darwin-x64@2.2.5": {
      "integrity": "sha512-8JVlCAb2c3n0EcGW7n/1kU4Rq831SsoLDD/0hNp85Um8HGIH2Mg/qos/MLOc8Qv2mOaoKcRKf4hd0I1y0Rl9Cg=="
    },
    "@tauri-apps/cli-linux-arm-gnueabihf@2.2.5": {
      "integrity": "sha512-mzxQCqZg7ljRVgekPpXQ5TOehCNgnXh/DNWU6kFjALaBvaw4fGzc369/hV94wOt29htNFyxf8ty2DaQaYljEHw=="
    },
    "@tauri-apps/cli-linux-arm64-gnu@2.2.5": {
      "integrity": "sha512-M9nkzx5jsSJSNpp7aSza0qv0/N13SUNzH8ysYSZ7IaCN8coGeMg2KgQ5qC6tqUVij2rbg8A/X1n0pPo/gtLx0A=="
    },
    "@tauri-apps/cli-linux-arm64-musl@2.2.5": {
      "integrity": "sha512-tFhZu950HNRLR1RM5Q9Xj5gAlA6AhyyiZgeoXGFAWto+s2jpWmmA3Qq2GUxnVDr7Xui8PF4UY5kANDIOschuwg=="
    },
    "@tauri-apps/cli-linux-x64-gnu@2.2.5": {
      "integrity": "sha512-eaGhTQLr3EKeksGsp2tK/Ndi7/oyo3P53Pye6kg0zqXiqu8LQjg1CgvDm1l+5oit04S60zR4AqlDFpoeEtDGgw=="
    },
    "@tauri-apps/cli-linux-x64-musl@2.2.5": {
      "integrity": "sha512-NLAO/SymDxeGuOWWQZCpwoED1K1jaHUvW+u9ip+rTetnxFPLvf3zXthx4QVKfCZLdj2WLQz4cLjHyQdMDXAM+w=="
    },
    "@tauri-apps/cli-win32-arm64-msvc@2.2.5": {
      "integrity": "sha512-yG5KFbqrHfGjkAQAaaCD4i7cJklBjmMxZ2C92DEnqCOujSsEuLxrwwoKxQ4+hqEHOmF3lyX0vfqhgZcS03H38w=="
    },
    "@tauri-apps/cli-win32-ia32-msvc@2.2.5": {
      "integrity": "sha512-G5lq+2EdxOc8ttg3uhME5t9U3hMGTxwaKz0X4DplTG2Iv4lcNWqw/AESIJVHa5a+EB+ZCC8I+yOfIykp/Cd5mQ=="
    },
    "@tauri-apps/cli-win32-x64-msvc@2.2.5": {
      "integrity": "sha512-vw4fPVOo0rIQIlqw6xUvK2nwiRFBHNgayDE2Z/SomJlQJAJ1q4VgpHOPl12ouuicmTjK1gWKm7RTouQe3Nig0Q=="
    },
    "@tauri-apps/cli@2.2.5": {
      "integrity": "sha512-PaefTQUCYYqvZWdH8EhXQkyJEjQwtoy/OHGoPcZx7Gk3D3K6AtGSxZ9OlHIz3Bu5LDGgVBk36vKtHW0WYsWnbw==",
      "dependencies": [
        "@tauri-apps/cli-darwin-arm64",
        "@tauri-apps/cli-darwin-x64",
        "@tauri-apps/cli-linux-arm-gnueabihf",
        "@tauri-apps/cli-linux-arm64-gnu",
        "@tauri-apps/cli-linux-arm64-musl",
        "@tauri-apps/cli-linux-x64-gnu",
        "@tauri-apps/cli-linux-x64-musl",
        "@tauri-apps/cli-win32-arm64-msvc",
        "@tauri-apps/cli-win32-ia32-msvc",
        "@tauri-apps/cli-win32-x64-msvc"
      ]
    },
    "@tauri-apps/plugin-shell@2.2.0": {
      "integrity": "sha512-iC3Ic1hLmasoboG7BO+7p+AriSoqAwKrIk+Hpk+S/bjTQdXqbl2GbdclghI4gM32X0bls7xHzIFqhRdrlvJeaA==",
      "dependencies": [
        "@tauri-apps/api"
      ]
    },
    "@types/estree@1.0.6": {
      "integrity": "sha512-AYnb1nQyY49te+VRAVgmzfcgjYS91mY5P0TKUDCLEM+gNnA+3T6rWITXRLYCpahpqSQbN5cE+gHpnPyXjHWxcw=="
    },
    "braces@3.0.3": {
      "integrity": "sha512-yQbXgO/OSZVD2IsiLlro+7Hf6Q18EJrKSEsdoMzKePKXct3gvD8oLcOQdIzGupr5Fj+EDe8gO/lxc1BzfMpxvA==",
      "dependencies": [
        "fill-range"
      ]
    },
    "esbuild-plugin-tsc@0.4.0_typescript@5.7.3": {
      "integrity": "sha512-q9gWIovt1nkwchMLc2zhyksaiHOv3kDK4b0AUol8lkMCRhJ1zavgfb2fad6BKp7FT9rh/OHmEBXVjczLoi/0yw==",
      "dependencies": [
        "strip-comments",
        "typescript"
      ]
    },
    "esbuild@0.21.5": {
      "integrity": "sha512-mg3OPMV4hXywwpoDxu3Qda5xCKQi+vCTZq8S9J/EpkhB2HzKXq4SNFZE3+NK93JYxc8VMSep+lOUSC/RVKaBqw==",
      "dependencies": [
        "@esbuild/aix-ppc64@0.21.5",
        "@esbuild/android-arm@0.21.5",
        "@esbuild/android-arm64@0.21.5",
        "@esbuild/android-x64@0.21.5",
        "@esbuild/darwin-arm64@0.21.5",
        "@esbuild/darwin-x64@0.21.5",
        "@esbuild/freebsd-arm64@0.21.5",
        "@esbuild/freebsd-x64@0.21.5",
        "@esbuild/linux-arm@0.21.5",
        "@esbuild/linux-arm64@0.21.5",
        "@esbuild/linux-ia32@0.21.5",
        "@esbuild/linux-loong64@0.21.5",
        "@esbuild/linux-mips64el@0.21.5",
        "@esbuild/linux-ppc64@0.21.5",
        "@esbuild/linux-riscv64@0.21.5",
        "@esbuild/linux-s390x@0.21.5",
        "@esbuild/linux-x64@0.21.5",
        "@esbuild/netbsd-x64@0.21.5",
        "@esbuild/openbsd-x64@0.21.5",
        "@esbuild/sunos-x64@0.21.5",
        "@esbuild/win32-arm64@0.21.5",
        "@esbuild/win32-ia32@0.21.5",
        "@esbuild/win32-x64@0.21.5"
      ]
    },
    "esbuild@0.24.2": {
      "integrity": "sha512-+9egpBW8I3CD5XPe0n6BfT5fxLzxrlDzqydF3aviG+9ni1lDC/OvMHcxqEFV0+LANZG5R1bFMWfUrjVsdwxJvA==",
      "dependencies": [
        "@esbuild/aix-ppc64@0.24.2",
        "@esbuild/android-arm@0.24.2",
        "@esbuild/android-arm64@0.24.2",
        "@esbuild/android-x64@0.24.2",
        "@esbuild/darwin-arm64@0.24.2",
        "@esbuild/darwin-x64@0.24.2",
        "@esbuild/freebsd-arm64@0.24.2",
        "@esbuild/freebsd-x64@0.24.2",
        "@esbuild/linux-arm@0.24.2",
        "@esbuild/linux-arm64@0.24.2",
        "@esbuild/linux-ia32@0.24.2",
        "@esbuild/linux-loong64@0.24.2",
        "@esbuild/linux-mips64el@0.24.2",
        "@esbuild/linux-ppc64@0.24.2",
        "@esbuild/linux-riscv64@0.24.2",
        "@esbuild/linux-s390x@0.24.2",
        "@esbuild/linux-x64@0.24.2",
        "@esbuild/netbsd-arm64",
        "@esbuild/netbsd-x64@0.24.2",
        "@esbuild/openbsd-arm64",
        "@esbuild/openbsd-x64@0.24.2",
        "@esbuild/sunos-x64@0.24.2",
        "@esbuild/win32-arm64@0.24.2",
        "@esbuild/win32-ia32@0.24.2",
        "@esbuild/win32-x64@0.24.2"
      ]
    },
    "fast-glob@3.3.3": {
      "integrity": "sha512-7MptL8U0cqcFdzIzwOTHoilX9x5BrNqye7Z/LuC7kCMRio1EMSyqRK3BEAUD7sXRq4iT4AzTVuZdhgQ2TCvYLg==",
      "dependencies": [
        "@nodelib/fs.stat",
        "@nodelib/fs.walk",
        "glob-parent",
        "merge2",
        "micromatch"
      ]
    },
    "fastq@1.18.0": {
      "integrity": "sha512-QKHXPW0hD8g4UET03SdOdunzSouc9N4AuHdsX8XNcTsuz+yYFILVNIX4l9yHABMhiEI9Db0JTTIpu0wB+Y1QQw==",
      "dependencies": [
        "reusify"
      ]
    },
    "fill-range@7.1.1": {
      "integrity": "sha512-YsGpe3WHLK8ZYi4tWDg2Jy3ebRz2rXowDxnld4bkQB00cc/1Zw9AWnC0i9ztDJitivtQvaI9KaLyKrc+hBW0yg==",
      "dependencies": [
        "to-regex-range"
      ]
    },
    "fsevents@2.3.3": {
      "integrity": "sha512-5xoDfX+fL7faATnagmWPpbFtwh/R77WmMMqqHGS65C3vvB0YHrgF+B1YmZ3441tMj5n63k0212XNoJwzlhffQw=="
    },
    "glob-parent@5.1.2": {
      "integrity": "sha512-AOIgSQCepiJYwP3ARnGx+5VnTu2HBYdzbGP45eLw1vr3zB3vZLeyed1sC9hnbcOc9/SrMyM5RPQrkGz4aS9Zow==",
      "dependencies": [
        "is-glob"
      ]
    },
    "is-extglob@2.1.1": {
      "integrity": "sha512-SbKbANkN603Vi4jEZv49LeVJMn4yGwsbzZworEoyEiutsN3nJYdbO36zfhGJ6QEDpOZIFkDtnq5JRxmvl3jsoQ=="
    },
    "is-glob@4.0.3": {
      "integrity": "sha512-xelSayHH36ZgE7ZWhli7pW34hNbNl8Ojv5KVmkJD4hBdD3th8Tfk9vYasLM+mXWOZhFkgZfxhLSnrwRr4elSSg==",
      "dependencies": [
        "is-extglob"
      ]
    },
    "is-number@7.0.0": {
      "integrity": "sha512-41Cifkg6e8TylSpdtTpeLVMqvSBEVzTttHvERD741+pnZ8ANv0004MRL43QKPDlK9cGvNp6NZWZUBlbGXYxxng=="
    },
    "merge2@1.4.1": {
      "integrity": "sha512-8q7VEgMJW4J8tcfVPy8g09NcQwZdbwFEqhe/WZkoIzjn/3TGDwtOCYtXGxA3O8tPzpczCCDgv+P2P5y00ZJOOg=="
    },
    "micromatch@4.0.8": {
      "integrity": "sha512-PXwfBhYu0hBCPw8Dn0E+WDYb7af3dSLVWKi3HGv84IdF4TyFoC0ysxFd0Goxw7nSv4T/PzEJQxsYsEiFCKo2BA==",
      "dependencies": [
        "braces",
        "picomatch"
      ]
    },
    "nanoid@3.3.8": {
      "integrity": "sha512-WNLf5Sd8oZxOm+TzppcYk8gVOgP+l58xNy58D0nbUnOxOWRWvlcCV4kUF7ltmI6PsrLl/BgKEyS4mqsGChFN0w=="
    },
    "picocolors@1.1.1": {
      "integrity": "sha512-xceH2snhtb5M9liqDsmEw56le376mTZkEX/jEb/RxNFyegNul7eNslCXP9FDj/Lcu0X8KEyMceP2ntpaHrDEVA=="
    },
    "picomatch@2.3.1": {
      "integrity": "sha512-JU3teHTNjmE2VCGFzuY8EXzCDVwEqB2a8fsIvwaStHhAWJEeVd1o1QD80CU6+ZdEXXSLbSsuLwJjkCBWqRQUVA=="
    },
    "postcss@8.5.1": {
      "integrity": "sha512-6oz2beyjc5VMn/KV1pPw8fliQkhBXrVn1Z3TVyqZxU8kZpzEKhBdmCFqI6ZbmGtamQvQGuU1sgPTk8ZrXDD7jQ==",
      "dependencies": [
        "nanoid",
        "picocolors",
        "source-map-js"
      ]
    },
    "queue-microtask@1.2.3": {
      "integrity": "sha512-NuaNSa6flKT5JaSYQzJok04JzTL1CA6aGhv5rfLW3PgqA+M2ChpZQnAC8h8i4ZFkBS8X5RqkDBHA7r4hej3K9A=="
    },
    "reusify@1.0.4": {
      "integrity": "sha512-U9nH88a3fc/ekCF1l0/UP1IosiuIjyTh7hBvXVMHYgVcfGvt897Xguj2UOLDeI5BG2m7/uwyaLVT6fbtCwTyzw=="
    },
    "rollup@4.31.0": {
      "integrity": "sha512-9cCE8P4rZLx9+PjoyqHLs31V9a9Vpvfo4qNcs6JCiGWYhw2gijSetFbH6SSy1whnkgcefnUwr8sad7tgqsGvnw==",
      "dependencies": [
        "@rollup/rollup-android-arm-eabi",
        "@rollup/rollup-android-arm64",
        "@rollup/rollup-darwin-arm64",
        "@rollup/rollup-darwin-x64",
        "@rollup/rollup-freebsd-arm64",
        "@rollup/rollup-freebsd-x64",
        "@rollup/rollup-linux-arm-gnueabihf",
        "@rollup/rollup-linux-arm-musleabihf",
        "@rollup/rollup-linux-arm64-gnu",
        "@rollup/rollup-linux-arm64-musl",
        "@rollup/rollup-linux-loongarch64-gnu",
        "@rollup/rollup-linux-powerpc64le-gnu",
        "@rollup/rollup-linux-riscv64-gnu",
        "@rollup/rollup-linux-s390x-gnu",
        "@rollup/rollup-linux-x64-gnu",
        "@rollup/rollup-linux-x64-musl",
        "@rollup/rollup-win32-arm64-msvc",
        "@rollup/rollup-win32-ia32-msvc",
        "@rollup/rollup-win32-x64-msvc",
        "@types/estree",
        "fsevents"
      ]
    },
    "run-parallel@1.2.0": {
      "integrity": "sha512-5l4VyZR86LZ/lDxZTR6jqL8AFE2S0IFLMP26AbjsLVADxHdhB/c0GUsH+y39UfCi3dzz8OlQuPmnaJOMoDHQBA==",
      "dependencies": [
        "queue-microtask"
      ]
    },
    "source-map-js@1.2.1": {
      "integrity": "sha512-UXWMKhLOwVKb728IUtQPXxfYU+usdybtUrK/8uGE8CQMvrhOpwvzDBwj0QhSL7MQc7vIsISBG8VQ8+IDQxpfQA=="
    },
    "strip-comments@2.0.1": {
      "integrity": "sha512-ZprKx+bBLXv067WTCALv8SSz5l2+XhpYCsVtSqlMnkAXMWDq+/ekVbl1ghqP9rUHTzv6sm/DwCOiYutU/yp1fw=="
    },
    "to-regex-range@5.0.1": {
      "integrity": "sha512-65P7iz6X5yEr1cwcgvQxbbIw7Uk3gOy5dIdtZ4rDveLqhrdJP+Li/Hx6tyK0NEb+2GCyneCMJiGqrADCSNk8sQ==",
      "dependencies": [
        "is-number"
      ]
    },
    "typescript@5.7.3": {
      "integrity": "sha512-84MVSjMEHP+FQRPy3pX9sTVV/INIex71s9TL2Gm5FG/WG1SqXeKyZ0k7/blY/4FdOzI12CBy1vGc4og/eus0fw=="
    },
    "vite@5.4.13": {
      "integrity": "sha512-7zp3N4YSjXOSAFfdBe9pPD3FrO398QlJ/5QpFGm3L8xDP1IxDn1XRxArPw4ZKk5394MM8rcTVPY4y1Hvo62bog==",
      "dependencies": [
        "esbuild@0.21.5",
        "fsevents",
        "postcss",
        "rollup"
      ]
    }
  },
  "remote": {
    "https://wilsonl.in/minify-html/deno/0.15.0/index.js": "8e7ee5067ca84fb5d5a1f33118cac4998de0b7d80b3f56cc5c6728b84e6bfb70"
  },
  "workspace": {
    "dependencies": [
      "jsr:@luca/esbuild-deno-loader@~0.11.1",
      "jsr:@std/assert@1",
      "npm:esbuild-plugin-tsc@0.4",
      "npm:esbuild@~0.24.2",
      "npm:fast-glob@^3.3.3",
      "npm:typescript@^5.7.3"
    ],
    "members": {
      "client": {
        "packageJson": {
          "dependencies": [
            "npm:@tauri-apps/api@2",
            "npm:@tauri-apps/cli@2",
            "npm:@tauri-apps/plugin-shell@2",
            "npm:typescript@^5.2.2",
            "npm:vite@^5.3.1"
          ]
        }
      },
      "server": {
        "dependencies": [
          "jsr:@db/sqlite@0.12",
          "jsr:@eta-dev/eta@^3.5.0",
          "jsr:@felix/bcrypt@^1.0.5",
          "jsr:@std/assert@1",
          "jsr:@std/crypto@^1.0.3",
          "jsr:@std/dotenv@~0.225.3",
          "jsr:@std/http@^1.0.12",
          "npm:esbuild@~0.24.2"
        ]
      },
      "shared": {
        "dependencies": [
          "jsr:@std/assert@1",
          "jsr:@std/fmt@^1.0.3"
        ]
      }
    }
  }
}
